Package com.macrofocus.common.properties

# Class AbstractProperty<T>

java.lang.Object
com.macrofocus.common.properties.AbstractProperty<T>

All Implemented Interfaces:
  `Property<T>`

Direct Known Subclasses:
  `AbstractListProperty`, `AbstractMutableProperty`

public abstract class AbstractProperty<T> extends Object implements Property<T>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractProperty()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPropertyListener(PropertyListener<T> listener)`
  `void`
  `addWeakPropertyListener(PropertyListener<T> listener)`
  Add a listener to the list that's notified each time a change to the selection occurs.
  `protected void`
  `notifyPropertyChanged(PropertyEvent<T> event)`
  `void`
  `removePropertyListener(PropertyListener<T> listener)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.common.properties.Property

  `getValue`

- ## Constructor Details

  - ### AbstractProperty

    public AbstractProperty()

- ## Method Details

  - ### addPropertyListener

    public void addPropertyListener(PropertyListener<T> listener)
    Specified by:
      `addPropertyListener` in interface `Property<T>`

  - ### addWeakPropertyListener

    public void addWeakPropertyListener(PropertyListener<T> listener)
    Description copied from interface: `Property`
    Add a listener to the list that's notified each time a change to the selection occurs. The listener will automatically be disposed of should no other object have a reference to it.
    Specified by:
      `addWeakPropertyListener` in interface `Property<T>`
    Parameters:
      `listener` - the SelectionListener

  - ### removePropertyListener

    public void removePropertyListener(PropertyListener<T> listener)
    Specified by:
      `removePropertyListener` in interface `Property<T>`

  - ### notifyPropertyChanged

    protected void notifyPropertyChanged(PropertyEvent<T> event)